#
# spec file for package nmap (Version 4.00)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           nmap
BuildRequires:  gcc-c++ gtk2-devel libpcap openssl-devel pcre-devel update-desktop-files
Url:            http://www.insecure.org/nmap/
License:        GPL v2 or later
Group:          Productivity/Networking/Diagnostic
AutoReqProv:    on
Version:        4.00
Release:        14.10.1
Summary:        Portscanner
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %name-%version.tar.bz2
Source1:        nmapfe.png
Patch:          %name-%version-libpcap-filter.diff
Patch1:         %name-%version-noreturn.diff
Patch2:         %name-%version-nostrip.diff

%description
Nmap is designed to allow system administrators and curious individuals
to scan large networks to determine which hosts are up and what
services they are offering. XNmap is a graphical front-end that shows
nmap's output clearly. Find documentation in
/usr/share/doc/packages/nmap.



Authors:
--------
    Fyodor <fyodor@dhp.com>

%package gtk
License:        GPL v2 or later
Summary:        A Graphical Front-End for Nmap
Group:          Productivity/Networking/Diagnostic
Requires:       %name = %version

%description gtk
xnmap is a graphical front-end written in GTK which clearly shows
nmap's output.



Authors:
--------
    Fyodor <fyodor@dhp.com>

%prep
%setup -q
%patch
%patch1 -p1
%patch2 -p1

%build
#%{?suse_update_config:%{suse_update_config -f libpcap-possiblymodified nbase }}
#autoconf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure	--prefix=/usr \
		--sysconfdir=/etc\
		--mandir=%_mandir \
		--infodir=%_infodir \
		--datadir=%_datadir \
		--with-libpcap=%_prefix \
		--build %_target_cpu-suse-linux \
		--with-pcre=/usr/
make 

%install
make DESTDIR=$RPM_BUILD_ROOT deskdir=/opt/gnome/share/gnome/apps/Utilities/ install
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/applications $RPM_BUILD_ROOT/opt/gnome/share/pixmaps
mv $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/*/*.desktop $RPM_BUILD_ROOT/opt/gnome/share/applications
rmdir $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps/* $RPM_BUILD_ROOT/opt/gnome/share/gnome/apps $RPM_BUILD_ROOT/opt/gnome/share/gnome
# There is no icon-network. Use the only icon available in package.
sed -i s:icon-network:nmapfe: $RPM_BUILD_ROOT/opt/gnome/share/applications/nmapfe.desktop
#convert mswin32/icon1.ico nmapfe.png ; mv nmapfe.png.1 nmapfe.png
cp %{S:1} $RPM_BUILD_ROOT/opt/gnome/share/pixmaps
%suse_update_desktop_file nmapfe Network Monitor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* CHANGELOG HACKING
%doc docs/README 
%doc docs/nmap.usage.txt
/usr/bin/nmap
/usr/share/nmap
%_mandir/man1/nmap.1.gz

%files gtk
%defattr(-,root,root)
/usr/bin/nmapfe
/usr/bin/xnmap
/opt/gnome/share/applications/*.desktop
/opt/gnome/share/pixmaps/*.png
%_mandir/man1/nmapfe.1.gz
%_mandir/man1/xnmap.1.gz

%changelog
* Thu Dec  6 2007 mskibbe@suse.de
- Bug 325921 - VUL-0: Multiple pcre vulnerabilities
  ( use sytem pcre instead of built in pcre)
* Sat Feb 25 2006 aj@suse.de
- Reduce BuildRequires.
* Thu Feb  2 2006 hvogel@suse.de
- update to 4.0 final. Only some metadata updates
* Fri Jan 27 2006 hvogel@suse.de
- added pcre-devel to buildrequires
- updated to 3.999 which includes:
  o Upgraded the included LibPCRE from version 6.3 to 6.4.
  o Integrated all remaining 2005 service submissions.
  o Added run time interaction
  o Reverse DNS resolution is now done in parallel
  o Added the --badsum option, which causes Nmap to use invalid TCP or
  UDP checksums for packets sent to target hosts.
  o More excellent NmapFE patches from Priit Laes
  o Added --max_retries option
  o Many of the Nmap low-level timing options take a value in
  milliseconds.
  o Made some changes to allow source port zero scans (-g0).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  9 2005 hvogel@suse.de
- 3.95 update
* Thu Nov  3 2005 dmueller@suse.de
- 3.93 update (fixes #129227)
* Fri Oct 14 2005 sf@suse.de
- fix specfile
* Fri Oct 14 2005 sf@suse.de
- fix C++ Problem with gcc 4.1
- fix Makefile.in to use RPM_OPT_FLAGS
* Fri Sep  9 2005 mmj@suse.de
- Update to nmap-3.90
* Wed Aug 24 2005 hvogel@suse.de
- use internal pcre to avoid problems with SYN scan
  [#104337]
* Tue Aug 16 2005 mmj@suse.de
- Don't strip binaries
* Tue Aug  9 2005 hvogel@suse.de
- Build against system libpcap/libpcre to avoid libpcap bugs
  [Bug #98249]
* Wed Mar 23 2005 sbrabec@suse.cz
- Moved desktop file, added icon (#73653).
* Tue Feb  8 2005 meissner@suse.de
- fix return values of gencode.c.
* Tue Feb  8 2005 mmj@suse.de
- Update to nmap-3.81
* Mon Feb  7 2005 mmj@suse.de
- Update to nmap-3.80
* Fri Dec  3 2004 mmj@suse.de
- Update to nmap-3.77
* Wed Oct 20 2004 mmj@suse.de
- Update to nmap-3.75
* Wed Sep  1 2004 mmj@suse.de
- Update to nmap-3.70
* Thu Jul  8 2004 mmj@suse.de
- Update to nmap-3.55
* Tue Feb 10 2004 mmj@suse.de
- Fix accidental deletion of specfile tag
* Tue Feb 10 2004 mmj@suse.de
- Add openssl to #nfb in order to enable SSL-scan-through support
* Thu Jan 22 2004 mmj@suse.de
- Update to nmap-3.50
* Wed Nov 19 2003 hvogel@suse.de
- move nmapfe/xnmap to a subpackage nmap-gtk
- make use of openssl
- fix DESTDIR patch
- dont build as root
* Wed Oct  8 2003 mmj@suse.de
- Update to version 3.48
* Sat Aug 16 2003 adrian@suse.de
- add Categories
* Sat Jul 19 2003 mmj@suse.de
- Update to version 3.30
* Sun Jun 22 2003 mmj@suse.de
- Update to version 3.28
* Mon May 26 2003 mmj@suse.de
- Update to nmap-3.27
* Tue May 13 2003 mmj@suse.de
- Use %%defattr
* Tue Apr  1 2003 mmj@suse.de
- Update to nmap-3.20
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Sun Aug 18 2002 adrian@suse.de
- fix neededforbuild
- use BuildRoot
- add missing files to file list
* Mon Aug  5 2002 draht@suse.de
- long awaited version 3.00. News:
  * 700 operation systems + network devices in fingerprint database
  * uptime scan
  * XML output
  * all references to God in error messages are capitalized
  added filter.dif security fix for homegrown libpcap.
* Wed Jan  9 2002 draht@suse.de
- new version 2.54BETA30.
* Thu Aug  9 2001 ro@suse.de
- fixed specfile to build (suse_update_config before autoconf)
* Tue May  8 2001 draht@suse.de
- update to 2.54BETA22
* Sun Jan 28 2001 schwab@suse.de
- Add %%suse_update_config.
* Mon Nov 13 2000 ro@suse.de
- fixed inet_aton detection
* Sat Nov  4 2000 kukuk@suse.de
- fix neededforbuild
* Tue Jul 11 2000 mge@suse.de
- update to 2.53, move /usr/lib/nmap to /usr/share/nmap
* Tue Feb 22 2000 garloff@suse.de
- Version 2.3BETA14. Move manpage to /usr/share/man
* Mon Oct 25 1999 freitag@suse.de
- update to version 2.3BETA6
* Wed Oct 20 1999 freitag@suse.de
- new version 2.12
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 18 1999 uli@suse.de
- new package, version 2.02
